jueves, noviembre 29, 2007

PROBLEMAS A LA HORA DE INSTALAR CINELERRA

Según veo en varios posts hay dificultades a la hora de instalar cinelerra desde los repsitorios giss. Así que nada lo que hice fue hacer una instalación limpia desde cero y comprobarlo por mi mismo, y efectivamente, me daba un problema de "core dumped". ¿Qué pasa?, me fui a los repsoitorios y me dí cuenta que han actualizado la versión de cinelerra, así que me bajé la versión anterior desinstalé la versión nueva y a funcionar, si funciona, aquí os explico como...


Los repositorios Giss han actualizado la versión de cinelerra y como he leido en varios posts indica "core dumped", tras instalarlo como pone en el tutorial, así que no repito "no" pongais los respositorios y los teneis ya instalados, pues nada o bien editais el archivo sources.list (sudo gedit /etc/apt/sources.list) y borrais la linea de los repsositorios giss o mejor aún le poneis un # delante, que quede tal que así:
#deb http://giss.tv/~vale/ubuntu32 ./
#deb-src http://giss.tv/~vale/ubuntu32 ./


Guardais y en consola: sudo apt-get update.

Ahora si lo teniais instalado (cinelerra) y os da error después de la actualización, pues nada a desinstalar:
sudo aptitude remove cinelerra libguicast libmpeg3hv libquicktimehv

Bien una vez hecho esto hay que descargarse los siguientes paquetes que eran los que funcionaban desde o bien desde giss o bien los he agrupado desde aquí

Esta en un paquete tar.gz así que nada una vez descargado lo extraeis, abris un terminal y os introducis mediante el comando cd en él. Una vez dentro, en el terminal primero instalais las siguientes librerias fftw3 libmjpegtools0c2a libfaac0 libopenexr2c2a, mediante el comando: sudo aptitude install fftw3 libopenexr2c2a libmjpegtools0c2a libfaac0
Una vez hecho esto instalamos los paquetes descargados mediante el comando: sudo dpkg -i *.*

De todas formas en el post de siempre lo ha actualizado con dos tipos de instalaciones posibles, masticaditas y pasito a pasito, como no en el tutorial.

5 comentarios:

  1. Hola,

    muchas gracias por el artículo. LLevo unos días intentando instalar cinelerra, pero no hay manera. A eso se une mi torpeza y que llevo una semana con ubuntu. He seguido los pasos del tutorial y después del comando sudo dpkg -i, me sale esto:

    Desempaquetando cinelerra (de cinelerra_2.1.0-2svn20070109_i386.deb) ...
    Seleccionando el paquete libguicast previamente no seleccionado.
    Desempaquetando libguicast (de libguicast_2.1.0-2svn20070109_i386.deb) ...
    Seleccionando el paquete libmpeg3hv previamente no seleccionado.
    Desempaquetando libmpeg3hv (de libmpeg3hv_2.1.0-2svn20070109_i386.deb) ...
    Seleccionando el paquete libquicktimehv previamente no seleccionado.
    Desempaquetando libquicktimehv (de libquicktimehv_2.1.0-2svn20070109_i386.deb) ...
    dpkg: problemas de dependencias impiden la configuración de cinelerra:
    cinelerra depende de libmjpegtools0c2a (>= 1:1.8.0); sin embargo:
    El paquete `libmjpegtools0c2a' no está instalado.
    dpkg: error al procesar cinelerra (--install):
    problemas de dependencias - se deja sin configurar
    Configurando libguicast (1:2.1.0-2svn20070109) ...
    Configurando libmpeg3hv (1:2.1.0-2svn20070109) ...
    dpkg: problemas de dependencias impiden la configuración de libquicktimehv:
    libquicktimehv depende de libfaac0 (>= 1.24clean); sin embargo:
    El paquete `libfaac0' no está instalado.
    libquicktimehv depende de libfaad2-0 (>= 2.0.0+cvs20040908+mp4v2+bmp); sin embargo:
    El paquete `libfaad2-0' no está instalado.
    dpkg: error al procesar libquicktimehv (--install):
    problemas de dependencias - se deja sin configurar
    Se encontraron errores al procesar:
    cinelerra
    libquicktimehv

    ¿Sabes a qué puede deberse?

    ResponderEliminar
  2. Mira cuando tengas que instalar con dpkg -i y te dé un problemas de dependencias con varios paquetes, que es el caso, lo que tienes que hacer es instalarlos con sudo aptitude, para el caso en particular:
    sudo aptitude libmjpegtools0c2a libfaac0

    ResponderEliminar
  3. muchas gracias, Carlos. ¡¡¡Ya está instalado!!! En el primer arranque me decía que tenía que ejecutar como root este comando:
    echo "0x7fffffff" >/proc/sys/kernel/shmmax

    y gracias a otro artículo tuyo, he sabido entrar como root (sudo su) y ejecutar el comando.

    Veo que voy a aprender mucho en este blog, así que ya lo tengo en mis suscripciones de google reader

    ResponderEliminar
  4. Gracias por tus comentarios. Si tú aprendes, yo aprendo.

    ResponderEliminar
  5. Anónimo4:57 a. m.

    hola,
    quisiera instalar cinelerra, tengo una eee pc 7.0
    linux rev 1.0
    y de los pasos que explicas no entiendo nada. hay algun link directo?

    saludos
    Nadina

    ResponderEliminar